#include "OvercurrentSensor.h"

using namespace iRobot;

void
OvercurrentSensor::update ( uint8_t data[] )
{
    m_flags = data[0];
}

bool
OvercurrentSensor::leftWheel() const
{
    return m_flags & LeftWheel;
}

bool
OvercurrentSensor::rightWheel() const
{
    return m_flags & RightWheel;
}

bool
OvercurrentSensor::ld0() const
{
    return m_flags & LD0;
}

bool
OvercurrentSensor::ld1() const
{
    return m_flags & LD1;
}

bool
OvercurrentSensor::ld2() const
{
    return m_flags & LD2;
}

uint8_t
OvercurrentSensor::flags() const
{
    return m_flags;
}
