#ifndef UNSIGNEDVALUESENSOR_H
#define UNSIGNEDVALUESENSOR_H

#include <libirobot/Sensor.h>

namespace iRobot
{

/**
 * A sensor that represents a positive or negative number.
 */
class UnsignedValueSensor : public Sensor
{
    public:
		/**
		 * Returns the value
		 */
        uint16_t value() const;
    protected:
        void update ( uint8_t data[] );
    private:
        uint16_t m_value;
};

}

#endif

