#ifndef VALUESENSOR_H
#define VALUESENSOR_H

#include <libirobot/Sensor.h>

namespace iRobot
{

/**
 * A signed value sensor.
 */
class ValueSensor : public Sensor
{
    public:
		/**
		 * The value of the sensor
		 */
        int16_t value() const;
		int total() const;
        void resetTotal();
    protected:
        void update ( uint8_t data[] );
	ValueSensor();
	friend class Sensor;
    private:
        int16_t m_value;
		int m_total;
};

}

#endif
