#include "FinalState.h"

#include "StateMachine.h"

#include "Debug.h"

using namespace iRobot;

FinalState::FinalState(StateMachine* m_machine)
    : State(m_machine)
{
}

FinalState::~FinalState()
{
}

void
FinalState::loop()
{
    IROBOT_DEBUG("Spinning in final state");
    getMachine()->setFinished();
}