#ifndef BUMPTRANSITION_H
#define BUMPTRANSITION_H

#include <libirobot/StateTransition.h>
#include <libirobot/sensors/BumpAndDropSensor.h>

namespace iRobot
{

class BumpTransition : public StateTransition {
	public:
		BumpTransition(State* next, BumpAndDropSensor::Sensor type);
		~BumpTransition();
		bool test();
	private:
		BumpAndDropSensor::Sensor m_type;
};

}

#endif

