#include "FinishedTransition.h"

#include "StateMachine.h"

using namespace iRobot;

FinishedTransition::FinishedTransition(State* target, StateMachine* testMachine)
    : StateTransition(target),
      m_test(testMachine)
{
}

FinishedTransition::~FinishedTransition()
{
}

bool
FinishedTransition::test()
{
    return m_test->finished();
}

