#include "StateTransition.h"
#include "StateMachine.h"

using namespace iRobot;

StateTransition::StateTransition(State* next)
{
    m_next = next;
    m_engine = next->getMachine();
}

StateTransition::~StateTransition()
{
    
}

State*
StateTransition::nextState() const
{
    return m_next;
}

Robot*
StateTransition::getRobot() const
{
    return m_engine->getRobot();
}

void
StateTransition::parentEntered()
{
}

void
StateTransition::parentLeft()
{
}

