#ifndef BOOLEANSENSOR_H
#define BOOLEANSENSOR_H

#include <libirobot/Sensor.h>

namespace iRobot
{

/**
 * A sensor which can either be 'true' or 'false', such as if a song is
 * currently playing or not.
 */
class BooleanSensor : public Sensor
{
    public:
		/**
		 * The boolean value of the sensor
		 */
        bool value() const;
    protected:
        void update ( uint8_t data[] );
    private:
        bool m_value;
};

}

#endif

