#ifndef DRIVESTATE_H
#define DRIVESTATE_H

#include <libirobot/State.h>
#include <libirobot/Drive.h>

namespace iRobot
{

class DriveState : public State {
	public:
		DriveState(StateMachine* engine, int speed, int radius);
        DriveState(StateMachine* engine, Drive::Speed speed, Drive::TurnDirection direction);
        DriveState(StateMachine* engine, Drive::Speed, int radius);
        DriveState(StateMachine* engine, int speed, Drive::TurnDirection direction);
		~DriveState();
		void loop();

	private:
		int m_speed;
		int m_radius;
};

}

#endif
